Description: Bonjour,

serait-il possible que a l'intérieur d'un environnement "question”, il y ai plusieurs environnements "reponses" ?|
Cela permettrait de pouvoir mettre en page les réponses avec plus de souplesse, par exemple pour les mettre
dans des colonnes de largeur différentes pour gagner de la place.

Par exemple de fagon a ce que le code suivant puisse fonctionner :

<pre>
\begin{questionmult}{R.ect}
Un écart type est un indicateur\\dots
\MultiCol{0.28/0.36/0.36}{
\begin{reponses}[o]
0\mauvaise{de tendance centrale}
0\bonne{de dispersion}
0\end{reponses}
0§
0\begin{reponses}[o]
0\bonne{sensible aux valeurs extrémes}
0\mauvaise{peu sensible aux valeurs extrémes}
0\end{reponses}
0§
0\begin{reponses}[o]
0\bonne{de méme unité que les valeurs}
0\mauvaise{d'unité différente des valeurs}
0\end{reponses}
0}
</pre>
Merci !

History

04/08/2025 09:00 am - Alexis Bienveniie

- Tracker changed from Bug to Feature

04/08/2025 09:00 am - Alexis Bienveniie
De quel paquet LaTeX est issue cette commande @\MultiCol@ ?

04/08/2025 10:05 am - Liouba Leroux

ProfCollege

Mais c'est plus vaste que cet exemple particulier, bien que évidemment cela puisse (doivent) avoir des conséquences sur le code et la faisabilité.

Mais cela permettrait aussi par exemple de placer des cases réponses a des endroits précis d'un graphique ou d'une figure, pour la légender en

quelque sorte. Un peu comme des parties d'image cliquables (qui seraient ici "cochables).

L'idée que j'avais, je ne sais pas si c'est possible, serait d'agréger tous les environnements reponses inclus dans un méme environnement question

comme des cases liées a cette question.

04/08/2025 10:15 pm - Alexis Bienvenie
- Status changed from New to Feedback

05/10/2025

1/4




Votre exemple devrait fonctionner suite a la modification git:c4d28a82f879ab09b19282f1fe6fcaf74716d3f3 qui fait partie de la derniére version de
développement sur le PPA test.

Pour le question des cases intégrées a des graphiques, peut-étre que I'extension @survey@ peut donner de l'inspiration (voir par exemple la page 3 de
https://gitlab.com/CSaalbach/surveyamc-project/-/raw/master/templates/konstanz/kn_quest.pdf?ref_type=heads&inline=false)

04/09/2025 08:26 am - Alexis Bienveniie

(le code de ce dernier document est
"ici":https://gitlab.com/CSaalbach/surveyamc-project/-/blob/master/templates/konstanz/kn_quest.tex?ref_type=heads#L127 mais @surveyamc@ est
maintenant intégré a AMC, et il suffit d'ajouter I'option @survey@ dans @\usepackage[survey]{auto-multiple-choice}@ pour pouvoir bénéficier des

commandes de cette extension)

04/09/2025 04:08 pm - Frédéric Bréal
- File Capture_d cran_2025-04-09_15-54-52.png added

- File AMC-DEBUG-KhvEZg8K.log added

Bonjour,

J'ai une erreur de compilation avec le fichier multicols.tex du dernier commit (AMC 1.6.0+git20250406200005) : le numéro des réponses utilisé
plusieurs fois.

Si je compile en dehors d'AMC (texstudio), il y cette erreur : Package listofitems Error: 2 is an invalid index, index [] retained. \restituegroupe{general}

04/09/2025 05:34 pm - Liouba Leroux

Merci pour ce développement ultra rapide !

J'ai un DS a corriger d'ici vendredi, je pense qu'il vaut mieux que je change de version *aprés* sa correction, mais je donne vite des nouvelles !
(et aussi sur un autre fils #959 sur lequel je dois faire des propositions mais il faut aussi que je regarde plus attentivement la doc de surveys)

04/09/2025 06:16 pm - Alexis Bienveniie

> J'ai une erreur de compilation avec le fichier multicols.tex du dernier commit (AMC 1.6.0+git20250406200005)
Il faut utiliser la version d'aprés : 1.6.0+git20250408190541

> je pense qu'il vaut mieux que je change de version aprés sa correction

En effet |

04/09/2025 06:27 pm - Liouba Leroux
Juste par curiosité, I'ajout ne concerne que la commande MultiCol de ProfCollege, ou bien d'autres possibilités ?
Par exemple, est-ce qu'un code de ce genre pourrait fonctionner ?
<pre>
\begin{question]{test}
le texte d'une question :
\begin{reponses}
\bonne{c'est la bonne}
\end{reponses}
mais si vraiment vous voulez avoir faux c'est ici :
\begin{reponses}
\mauvaise{c'est la mauvaise}
\end{reponses}
\end{question}

</pre>

04/09/2025 07:07 pm - Alexis Bienveniie
> Par exemple, est-ce qu'un code de ce genre pourrait fonctionner ?
Oui mais attention : dans une @questionmult@ avec 'option @completemulti@, chaque environnement @reponses@ ajoute la question finale

_Aucune de ces réponses n'est correcte_, ce qui ne va pas. Il faut donc supprimer cette option pour les premieres utilisations de @reponses@.
Par exemple (pas forcément intelligent car on voit bien ici qu'il n'y a pas intérét a ne rien cocher),
<pre>
\begin{questionmult}{R.ect-b}\bareme{default. A=0,default. AA=0,default.B=0,default.BB=0,default.C=0,default. CC=0,formula="max(0,A+AA)+max(0,B+B
B)+max(0,C+CC)"}

Un écart type est un indicateur\dots

\emph{(concernant son objectif)}

{\AMCnoCompleteMulti\begin{reponses}
\mauvaise{de tendance centrale}\bareme{set.A=-1}
\bonne{de dispersion}\bareme{set.AA=1}

\end{reponses}}

\emph{(concernant sa sensibilité)}
{\AMCnoCompleteMulti\begin{reponses}
\bonne{sensible aux valeurs extrémes}\bareme{set.BB=1}
\mauvaise{peu sensible aux valeurs extrémes}\bareme{set.B=-1}

\end{reponses}}

\emph{(concernant sa dimension)}
\begin{reponses}
\bonne{de méme unité que les valeurs}\bareme{set.CC=1}
\mauvaise{d'unité différente des valeurs}\bareme{set.C=-1}
\end{reponses}
\end{questionmult}

</pre>

04/09/2025 08:56 pm - Frédéric Breéal
- File AMC-DEBUG-3YGUWZXo.log added

- File multicol.tex added

> |l faut utiliser la version d'aprés : 1.6.0+git2025040819054 1

Mise a jour d'AMC, texlive 2025 et redémarrage xubuntu 24.

J'ai toujours la méme erreur.

Je joins le nouveau fichier de débogage et le fichier tex que j'ai téléchargé du dépbt gitlab.

J'ai rajouté --shell-escape dans le moteur latex du projet aprés avoir lu la ligne 153 du log mais toujours le méme message.

04/09/2025 10:41 pm - Alexis Bienveniie

Visiblement les caractéres § qui délimitent les colonnes dans @\MultiCol@ ont disparu dans votre fichier... Voir par exemple la "ligne
50":https://gitlab.com/a10684/auto-multiple-choice/-/blob/master/tests/t/multicol_dims/multicol.tex?ref_type=heads#L50

C'est peut-étre ¢a qui a causé les erreurs de LaTeX :

<pre>

I Package listofitems Error: 2 is an invalid index, index [] retained.

</pre>

Pouvez-vous essayer avec le fichier non modifié, en le téléchargeant

"directement":https://gitlab.com/a10684/auto-multiple-choice/-/raw/master/tests/t/multicol_dims/multicol.tex?ref_type=heads&inline=false ?
04/10/2025 07:40 am - Frédéric Bréal
Je retente ce soir.

J'ai cru que § était un caractére "invisible mal collé" comme cela m'arrive en copiant collant certains textes. Je n'ai pas lu la documentation profCollége.

04/21/2025 11:26 pm - Liouba Leroux
Avec un peu de retard, tests faits et ga marche Ni-Cr.
Merci encore !

(je sens que je vais en parler sur Tchap ;-) )

04/22/2025 08:41 am - Alexis Bienveniie
- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Quand vous aurez un peu de temps, pouvez-vous préparer un joli exemple contenant quelques vraies questions avec une mise en page que vous

aimez bien, pour I'ajouter aux "modéles AMC":https://alexis-bienvenue-ext.forge.apps.education.fr/modeles-amc/ ?

04/22/2025 08:58 am - Liouba Leroux

Justement, hier soir je me suis fait une liste pour résumer mes pratiques/les possibilités d'AMC. Pas slr que je puisse faire un exemple minimal d'ici la

fin des vacances, mais je me suis noté :

* question simple

* question multiple

* question numérique

* question ouverte

* réponses perso en ligne pour calcul simple
* réponses perso formule a fabriquer

* réponses perso tableau a double entrée

* question a colonnes de tailles différentes

* question a réponses sur un graphique

* questions différentes avec les mémes données de base

04/22/2025 09:22 am - Alexis Bienveniie
Ce serait super. Rien ne presse !
